6.0.0-git
2021-01-18

[#1097] Sessions with MySQL gives "not a valid link resource" on logout
Summary Sessions with MySQL gives "not a valid link resource" on logout
Queue Horde Base
Queue Version 3.0.1
Type Bug
State Resolved
Priority 1. Low
Owners chuck (at) horde (dot) org
Requester dustin (at) ywlcs (dot) org
Created 2005-01-06 (5856 days ago)
Due
Updated 2005-02-01 (5830 days ago)
Assigned 2005-01-11 (5851 days ago)
Resolved 2005-02-01 (5830 days ago)
Milestone
Patch No

History
2005-02-01 19:02:12 Chuck Hagenbuch Comment #9
State ⇒ Resolved
Reply to this comment
Found it. Fixed in HEAD, and will be in Horde 3.0.3.
2005-02-01 18:04:52 jigermano (at) uolsinectis (dot) com (dot) ar Comment #8 Reply to this comment
I'm having the same problem, using php4. The complete message is



  PHP Warning:  mysql_query(): 21 is not a valid MySQL-Link resource 
in /usr/local/lib/php/Horde/SessionHandler/mysql.php on line 136



Although this bug was first reported on January 6, I first saw it 
January 31 and I update to HEAD almost daily.
2005-01-11 22:38:41 dustin (at) ywlcs (dot) org Comment #7 Reply to this comment
This is also causing Apache to segfault on user logouts, just FYI



I hate it when PHP causes segfaults :(
2005-01-11 18:22:18 Jan Schneider Comment #6
Assigned to Chuck Hagenbuch
State ⇒ Assigned
Reply to this comment
I don't have a PHP5 install handy, do you still have one, Chuck?
2005-01-07 01:38:32 dustin (at) ywlcs (dot) org Comment #5 Reply to this comment
One other thing that might contribute -- I'm using PHP5.



Are there any variations I can try that might give more info?  We're 
going production on Sunday, so I can play all you want until then :)
2005-01-07 01:34:43 Jan Schneider Comment #4 Reply to this comment
Exactly my setup. Does anyone else see this?
2005-01-07 01:31:28 dustin (at) ywlcs (dot) org Comment #3 Reply to this comment
Through an app -- IMP, which is connected to Cyrus IMAP.
2005-01-07 01:04:02 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
I can't reproduce this. What authentication type do you use?
2005-01-06 22:01:00 dustin (at) ywlcs (dot) org Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Sessions with MySQL gives "not a valid link resource" on logout
Queue ⇒ Horde Base
Reply to this comment
We're using the MySQL backend for sessions, and on logout the logout 
succeeds, but at the bottom of the page we get "not a valid link 
resource" in lib/Horde/SessionHandler/mysql.php on linke 136.



Adding an '@' to the mysql_query call there makes the warning go away, 
but I don't know the code well enough to discern whether there's 
actually something wrong here, so I'll leave that to those who know 
the codebase better.

Saved Queries